Loading...
Searching...
No Matches
casacore::TableExprGroupFuncInt Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Abstract base class for aggregate functions giving an integer scalar. More...

`#include <ExprGroup.h>`

## Public Member Functions

| TableExprGroupFuncInt (TableExprNodeRep *node, Int64 initValue=0)
virtual | ~TableExprGroupFuncInt ()
virtual Int64 | getInt (const vector< TableExprId > &)
virtual Double | getDouble (const vector< TableExprId > &)
Public Member Functions inherited from casacore::TableExprGroupFuncBase
| TableExprGroupFuncBase (TableExprNodeRep *node)
| Construct from the TaQL aggregation node.
virtual | ~TableExprGroupFuncBase ()
| TableExprGroupFuncBase (const TableExprGroupFuncBase &)=delete
| Copying is not needed, thus not allowed.
TableExprGroupFuncBase & | operator= (const TableExprGroupFuncBase &)=delete
virtual Bool | isLazy () const
| Does the aggregate function use lazy semantics?
uInt | seqnr () const
| Get the function's sequence nr.
void | setSeqnr (uInt seqnr)
| Set the function's sequence nr.
virtual void | apply (const TableExprId &id)=0
| Get the operand's value for the given row and apply it to the aggregation.
virtual void | finish ()
| If needed, finish the aggregation.
virtual std::shared_ptr< vector< TableExprId > > | getIds () const
| Get the assembled TableExprIds of a group.
virtual Bool | getBool (const vector< TableExprId > &=vector< TableExprId >())
| Get the aggregated value.
virtual DComplex | getDComplex (const vector< TableExprId > &=vector< TableExprId >())
virtual MVTime | getDate (const vector< TableExprId > &=vector< TableExprId >())
virtual String | getString (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< Bool > | getArrayBool (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< Int64 > | getArrayInt (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< Double > | getArrayDouble (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< DComplex > | getArrayDComplex (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< MVTime > | getArrayDate (const vector< TableExprId > &=vector< TableExprId >())
virtual MArray< String > | getArrayString (const vector< TableExprId > &=vector< TableExprId >())

## Protected Attributes

Int64 | itsValue
Protected Attributes inherited from casacore::TableExprGroupFuncBase
TableExprNodeRep * | itsNode
TableExprNodeRep * | itsOperand
uInt | itsSeqnr

## Detailed Description

Abstract base class for aggregate functions giving an integer scalar.

### Intended use:

Internal

### Review Status

Test programs:
  tExprGroup

### Synopsis

This class is derived from TableExprGroupFuncBase and acts as the abstract base class for aggregate functions resulting in an integer scalar.
Derived classes can use itsValue to contain the aggregated value. It that case they do not need to implement the get function.

Definition at line 495 of file ExprGroup.h.

## Constructor & Destructor Documentation

## TableExprGroupFuncInt()

casacore::TableExprGroupFuncInt::TableExprGroupFuncInt | ( | TableExprNodeRep * | node,
|  | Int64 | initValue = 0 )

inline explicit

Definition at line 498 of file ExprGroup.h.

References itsValue, and casacore::TableExprGroupFuncBase::TableExprGroupFuncBase().

## ~TableExprGroupFuncInt()

virtual casacore::TableExprGroupFuncInt::~TableExprGroupFuncInt | ( |  | ) |

virtual

## Member Function Documentation

## getDouble()

virtual Double casacore::TableExprGroupFuncInt::getDouble | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getInt()

virtual Int64 casacore::TableExprGroupFuncInt::getInt | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## Member Data Documentation

## itsValue

Int64 casacore::TableExprGroupFuncInt::itsValue

protected

Definition at line 506 of file ExprGroup.h.

Referenced by casacore::TableExprGroupCountAll::setResult(), and TableExprGroupFuncInt().

The documentation for this class was generated from the following file:

- tables/TaQL/ExprGroup.h